org.gnome.gdk

## Class PixbufFormat

- Object
- - org.gnome.gdk.PixbufFormat

-     public class PixbufFormat
      extends Object

  Constants representing the image file formats that GDK is capable of writing to. This is used by Pixbuf's `save()`.
  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PixbufFormat` | `BMP`
    `static PixbufFormat` | `ICO`
    `static PixbufFormat` | `JPEG` The Joint Photographic Group image format.
    `static PixbufFormat` | `PNG` The Portable Network Graphic image format.
    `static PixbufFormat` | `TIFF` The Tagged Image File Format, used as a container format for storing images including photographs and line art.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BMP

          public static PixbufFormat BMP

    - #### ICO

          public static PixbufFormat ICO

    - #### JPEG

          public static PixbufFormat JPEG

      The Joint Photographic Group image format. Often used for digital photographs, JPEG uses frequency compression to store enough of the image as to be able to capture its essence, but does so using a transform that is lossy. The common filename extension is `.jpg`.

    - #### PNG

          public static PixbufFormat PNG

      The Portable Network Graphic image format. The filename extension for PNGs is `.png` and should be used when saving images of this type.

    - #### TIFF

          public static PixbufFormat TIFF

      The Tagged Image File Format, used as a container format for storing images including photographs and line art. It is a lossless format, but is incredibly space-inefficient. Images saved in this format should be given the filename extension `.tiff`.
      See Also:
        TIFF entry at Wikipedia